org.eclipse.actf.visualization.eval.guideline

## Class GuidelineSelectionChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.actf.visualization.eval.guideline.GuidelineSelectionChangedEvent

All Implemented Interfaces:
  Serializable

    public class GuidelineSelectionChangedEvent
    extends EventObject

The `GuidelineSelectionChangedEvent` is sent by `GuidelineHolder` to `IGuidelineSlectionChangedListener`s when user changes target guideline and/or metrics.

See Also:
  Serialized Form

### Method Summary

Methods
`GuidelineHolder` `getGuidelineHolder()` Get event source `GuidelineHolder`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getGuidelineHolder

    public GuidelineHolder getGuidelineHolder()

Get event source `GuidelineHolder`

Returns:
  event source `GuidelineHolder`